import request from '@/utils/request'
//联创数据报表类型
export function sheetTypeList(params) {
    return request({
        url: '/system/pub/enums/sheetType',
        method: 'get',
        params
    })
}
//收益区域数据
export function getRevenueAreaList(params) {
    return request({
        url: '/report/manager/member-awards/revenueAreaList',
        method: 'get',
        params
    })
}

//伞下账户余额
export function getUmbrellaList(params) {
    return request({
        url: '/report/manager/member-brolly/umbrella-list',
        method: 'get',
        params
    })
}

//真实业绩新增奖衔
export function getUmbrellaAwardsList(params) {
    return request({
        url: '/report/manager/member-awards/list',
        method: 'get',
        params
    })
}
//结算等级升级记录
export function getGradeRecordList(params) {
    return request({
        url: '/report/manager/member-awards/gradeRecord-list',
        method: 'get',
        params
    })
}
//真实奖衔分析
export function getUmbrellaAnalysisList(params) {
    return request({
        url: '/report/manager/member-awards/analysis-list',
        method: 'get',
        params
    })
}

//真实奖衔分析穿透
export function getUmbrellaAnalysisDetailList(params) {
    return request({
        url: '/report/manager/member-awards/analysis-details-list',
        method: 'get',
        params
    })
}

//安置反查
export function getPlaceCheckList(data) {
    return request({
        url: '/report/manager/member-report/place-peg?pageSize=' + data.pageSize + '&pageNum=' + data.pageNum,
        method: 'post',
        data
    })
}

//推荐反查
export function getRecommendedCheckList(data) {
    return request({
        url: '/report/manager/member-report/parent-peg?pageSize=' + data.pageSize + '&pageNum=' + data.pageNum,
        method: 'post',
        data
    })
}

//业绩类型
export function getAchievementType(params) {
    return request({
        url: '/system/pub/enums/achievement-type',
        method: 'get',
        params
    })
}

//是否枚举
export function getYesornoList(params) {
    return request({
        url: '/system/pub/enums/dealer-yes-no',
        method: 'get',
        params
    })
}


//伞下直推列表
export function getUmbrellaPushList(params) {
    return request({
        url: '/report/manage/umbrella-below-push/list',
        method: 'get',
        params
    })
}

//复购PV统计列表
export function getRepurchasepvList(params) {
    return request({
        url: '/report/manager/member-awards/repurchasepv-list',
        method: 'get',
        params
    })
}

//商城BV统计列表
export function getMallPvList(params) {
    return request({
        url: '/report/manager/member-awards/mallPv-list',
        method: 'get',
        params
    })
}

//考核状态下拉选
export function getAssessStatus(params) {
    return request({
        url: '/system/pub/enums/assess-status',
        method: 'get',
        params
    })
}

//伞下新增安置业绩列表
export function getResettleAchieve(params) {
    return request({
        url: '/report/manager/member-report/member-resettle-achieve',
        method: 'get',
        params
    })
}
//伞下新增安置业绩（新）列表
export function getResettleAchieveNew(params) {
    return request({
        url: '/report/manager/member-report/member-resettle-achieve_up',
        method: 'get',
        params
    })
}


//出货明细汇总统计列表
export function getShippingSummary(params) {
    return request({
        url: '/report/manager/member-report/product-shipping-details-list',
        method: 'get',
        params
    })
}

//出货明细汇总统计详情列表
export function getShippingSummaryDetail(params) {
    return request({
        url: '/report/manager/member-report/product-shipping-details-info-list',
        method: 'get',
        params
    })
}
//直推统计列表
export function directPushStatList(params) {
    return request({
        url: '/report/manager/member-awards/directPushStatList',
        method: 'get',
        params
    })
}
//会员订单分布统计
export function memberOrderScatter(params) {
    return request({
        url: '/report/manager/member-awards/memberOrderScatter',
        method: 'get',
        params
    })
}
//地区类型
export function areaType(params) {
    return request({
        url: '/system/pub/enums/areaType',
        method: 'get',
        params
    })
}
//订单类型
export function orderBusiness(params) {
    return request({
        url: '/system/pub/enums/order-business',
        method: 'get',
        params
    })
}

//报单汇总列表
export function getReportSummary(params) {
    return request({
        url: 'report/manager/member-report/report-summary-list',
        method: 'get',
        params
    })
}
//收入明细list
export function revenueList(params) {
    return request({
        url: '/report/manager/member-awards/revenue-detai-list',
        method: 'get',
        params
    })
}

//产品明细查询列表
export function getProductDetailQueryList(params) {
    return request({
        url: '/report/manager/member-report/product-detail-query-list',
        method: 'get',
        params
    })
}

//奖衔级别下拉选
export function getAwardsLevelList(params) {
    return request({
        url: '/system/pub/enums/awardsLevelList',
        method: 'get',
        params
    })
}

//伞下血缘去重列表
export function getBloodRemoveSame(params) {
    return request({
        url: '/report/manager/member-awards/blood-remove-same',
        method: 'get',
        params
    })
}

//伞下血缘去重（新）列表
export function getBloodRemoveSameNew(params) {
    return request({
        url: '/report/manager/member-awards/blood-remove-same-history',
        method: 'get',
        params
    })
}

//数据报表-联创列表
export function getLianchuangDataList(params) {
    return request({
        url: '/report/manager/cu-lianchuang-data-stat/list',
        method: 'get',
        params
    })
}

//数据报表-联创列表删除
export function deleteLcDataList(data) {
    return request({
        url: '/report/manager/cu-lianchuang-data-stat/delete-lcStat',
        method: 'post',
        data
    })
}


//数据报表-联创列表查询单条
export function getOneLcData(params) {
    return request({
        url: 'report/manager/cu-lianchuang-data-stat/getOne/' + params.pkId,
        method: 'get',
        params
    })
}

//数据报表-联创列表添加
export function saveLcDataStat(data) {
    return request({
        url: '/report/manager/cu-lianchuang-data-stat/save',
        method: 'post',
        data
    })
}

//数据报表-联创列表修改
export function updateLcDataStat(data) {
    return request({
        url: '/report/manager/cu-lianchuang-data-stat/update',
        method: 'post',
        data
    })
}

//查询方向下拉选
export function getEnumsUpDown(params) {
    return request({
        url: '/system/pub/enums/up-down',
        method: 'get',
        params
    })
}

//国内业绩查询列表
export function getChLcdataList(params) {
    return request({
        url: '/report/manager/cu-lianchuang-data-stat/home-list',
        method: 'get',
        params
    })
}

//删除国内业绩查询
export function deleteLcStat(data) {
    return request({
        url: '/report/manager/cu-lianchuang-data-stat/delete-lcStat',
        method: 'post',
        data
    })
}

//国内业绩查询列表单条查询
export function getOneChLcdataList(params) {
    return request({
        url: '/report/manager/cu-lianchuang-data-stat/getOne/' + params.pkId,
        method: 'get',
        params
    })
}

//国内业绩查询修改
export function updateLcStat(data) {
    return request({
        url: '/report/manager/cu-lianchuang-data-stat/home-update',
        method: 'post',
        data
    })
}

//国内业绩查询添加
export function saveLcStat(data) {
    return request({
        url: '/report/manager/cu-lianchuang-data-stat/home-save',
        method: 'post',
        data
    })
}

//海外业绩查询列表
export function getAboardLcdataList(params) {
    return request({
        url: 'report/manager/cu-lianchuang-data-stat/abroad-list',
        method: 'get',
        params
    })
}
//直推数据
export function directPushDataList(params) {
    return request({
        url: '/report/manager/member-awards/directPushDataList',
        method: 'get',
        params
    })
}
//会员业绩数据查询
export function memberAchieve(params) {
    return request({
        url: '/report/manager/member-awards/member-achieve-list',
        method: 'get',
        params
    })
}
//直推数据详情
export function directPushDataDetails(params) {
    return request({
        url: '/report/manager/member-awards/directPushDataDetails',
        method: 'get',
        params
    })
}
//安置血缘查询
export function bloodList(params) {
    return request({
        url: '/report/manager/member-awards/resettle-blood-list',
        method: 'get',
        params
    })
}
//安置血缘左右区人数查询
export function bloodDetails(params) {
    return request({
        url: '/report/manager/member-awards/resettle-details-list',
        method: 'get',
        params
    })
}
//安置血缘左右区血缘人数查询
export function bloodBDetails(params) {
    return request({
        url: '/report/manager/member-awards/resettle-blood-details-list',
        method: 'get',
        params
    })
}
//发送站内信
export function sendingMessages(params) {
    return request({
        url: '/report/manager/member-awards/sendingMessages',
        method: 'get',
        params
    })
}

//奖衔晋升查询
export function getAwardPromotionList(params) {
    return request({
        url: '/report/manager/member-awards/promotion-list',
        method: 'get',
        params
    })
}
//大于小于
export function getCondition(params) {
    return request({
        url: '/system/pub/enums/get-condition',
        method: 'get',
        params
    })
}

//个人复购统计
export function getPersonRepurchaseList(params) {
    return request({
        url: '/report/manager/member-awards/personRepurchaseList',
        method: 'get',
        params
    })
}

//安置业绩统计
export function getPositStatList(params) {
    return request({
        url: '/report/manager/member-awards/positStatList',
        method: 'get',
        params
    })
}
//伞下直推产品查询
export function umbrellaList(params) {
    return request({
        url: '/report/manager/member-awards/umbrella-below-product',
        method: 'get',
        params
    })
}
//伞下直推产品明细
export function umbrellaRepeat(params) {
    return request({
        url: '/report/manager/member-awards/umbrella-below-repeat',
        method: 'get',
        params
    })
}
//伞下直推产品统计
export function umbrellaStat(params) {
    return request({
        url: '/report/manager/member-awards/stat-product',
        method: 'get',
        params
    })
}

//用户消费统计列表
export function getMemberConsumptionList(params) {
    return request({
        url: '/member/manager/member/member_consumption_stat',
        method: 'get',
        params
    })
}

//小区新增业绩统计
export function getComNewlyAddPVList(data) {
    return request({
        url: '/report/manager/small-achieve/achieve-list?pageSize=' + data.pageSize + '&pageNum=' + data.pageNum,
        method: 'post',
        data
    })
}

//会员户籍数据查询
export function getDomicileDataList(params) {
    return request({
        url: '/report/manager/member-awards/domicileDataList',
        method: 'get',
        params
    })
}

//伞下钱包明细
export function getUmbrellaWalletDetailList(data) {
    return request({
        url: '/report/manager/wallet/detail-list?pageSize=' + data.pageSize + '&pageNum=' + data.pageNum,
        method: 'post',
        data
    })
}

//地区业绩统计列表
export function getAreaAchieveStatList(params) {
    return request({
        url: '/report/manager/member-awards/areaAchieveStat',
        method: 'get',
        params
    })
}

//系统业绩统计列表
export function getVertexAchieveStatList(params) {
    return request({
        url: '/report/manager/member-awards/vertexAchieveStat',
        method: 'get',
        params
    })
}


//订单类型枚举
export function getOrderType(params) {
    return request({
        url: '/system/pub/enums/order-type',
        method: 'get',
        params
    })
}
//单品销量统计
export function orderSingle(params) {
    return request({
        url: '/sale/manage/order/single-item-stat',
        method: 'get',
        params
    })
}
//单品销量统计total
export function orderSingleTotal(params) {
    return request({
        url: '/sale/manage/order/get-single-item-stat-total',
        method: 'get',
        params
    })
}

//新联创列表
export function getNewLcList(params) {
    return request({
        url: '/report/manager/cu-lianchuang-data-stat/listHistory',
        method: 'get',
        params
    })
}

//月度职级名单查询
export function getMonthlyRankList(params) {
    return request({
        url: '/report/manager/member-awards/monthly-job-level',
        method: 'get',
        params
    })
}


//产品销量排行
export function getProductSalesStat(params) {
    return request({
        url: '/report/manager/product-sales/product-sales-stat',
        method: 'get',
        params
    })
}
//晋升方式
export function getUpListList(params) {
    return request({
        url: '/system/pub/enums/upgradeType',
        method: 'get',
        params
    })
}
//专区商品销量统计
export function waresSales(params) {
    return request({
        url: 'report/api/wares-sales-volume/list',
        method: 'get',
        params
    })
}





